Uses of Class
com.eqixiac.equinix.fabric.model.json.PortJson
Packages that use PortJson
Package
Description
-
Uses of PortJson in com.eqixiac.equinix.fabric.client.internal
Methods in com.eqixiac.equinix.fabric.client.internal that return PortJsonModifier and TypeMethodDescriptionPortClient.create(PortCreatorJson body) Creates a single port (POST /fabric/v4/ports).Deletes a port by uuid (DELETE /fabric/v4/ports/{uuid}).PortClient.dryRunCreate(PortCreatorJson body) Validate-only variant ofPortClient.create(PortCreatorJson)(POST /fabric/v4/ports?dryRun=true; spec: "option to verify that API calls will succeed").PortClient.dryRunDelete(String uuid) Validate-only variant ofPortClient.delete(String)(DELETE /fabric/v4/ports/{uuid}?dryRun=true; spec: "option to verify that API calls will succeed").PortClient.dryRunUpdate(String uuid, List<PatchOperation> operations) Validate-only variant ofPortClient.update(String, List)(PATCH /fabric/v4/ports/{uuid}?dryRun=true; spec: "option to verify that API calls will succeed").PortClient.update(String uuid, List<PatchOperation> operations) Updates a port by uuid with a JSON Patch operations array (PATCH /fabric/v4/ports/{uuid}).Methods in com.eqixiac.equinix.fabric.client.internal that return types with arguments of type PortJsonModifier and TypeMethodDescriptionPortClient.list()PortClient.search(FilterPropertyList filter, SortPropertyList sort) -
Uses of PortJson in com.eqixiac.equinix.fabric.client.internal.implementation
Subclasses with type arguments of type PortJson in com.eqixiac.equinix.fabric.client.internal.implementationMethods in com.eqixiac.equinix.fabric.client.internal.implementation that return PortJsonModifier and TypeMethodDescriptionPortClientImpl.create(PortCreatorJson body) PortClientImpl.dryRunCreate(PortCreatorJson body) POST /fabric/v4/ports?dryRun=true(spec: "option to verify that API calls will succeed") via the sharedResourceClientBase.dryRunCreatehelper.PortClientImpl.dryRunDelete(String uuid) DELETE /fabric/v4/ports/{uuid}?dryRun=true(spec: "option to verify that API calls will succeed").PortClientImpl.dryRunUpdate(String uuid, List<PatchOperation> operations) PATCH /fabric/v4/ports/{uuid}?dryRun=true(spec: "option to verify that API calls will succeed").PortClientImpl.update(String uuid, List<PatchOperation> operations) Methods in com.eqixiac.equinix.fabric.client.internal.implementation that return types with arguments of type PortJsonModifier and TypeMethodDescriptionPortClientImpl.list()PortClientImpl.search(FilterPropertyList filter, SortPropertyList sort) Methods in com.eqixiac.equinix.fabric.client.internal.implementation with parameters of type PortJson -
Uses of PortJson in com.eqixiac.equinix.fabric.model.wrappers
Constructors in com.eqixiac.equinix.fabric.model.wrappers with parameters of type PortJson